/***********************************************************

	pic18seg7.h

	Version 0.92: 2009/10/08

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PIC18SEG7_H_
#define PIC18SEG7_H_

#ifdef USE_SEG7

/* 7ZOgLED̕\ */
#define NDIGIT 4

#if defined(PICSYS18_SP)
#define NDIGIT_LED	(NDIGIT+1)
#else
#define NDIGIT_LED	NDIGIT
#endif

#define	SEG7_INT	0
#define	SEG7_FULL	1
#define	SEG7_HEX	2

#define	SEG7_BLANK	16
#define	SEG7_MINUS	17
#define	SEG7_H	18
#define	SEG7_L	19
#define	SEG7_HIGH	20
#define	SEG7_LOW	21

void SEG7_init(byte, byte, byte, byte, byte, byte) ;
void SEG7_initDefault(void) ;

void SEG7_setDigit(char, char) ;
void SEG7_write(int, byte) ;
void SEG7_setSegment(char, byte) ;

#if defined(PICSYS18_SP)
void LED_write(byte) ;
int LED_read(void) ;

void LED_bitSet(byte) ;
void LED_bitClear(byte) ;
int LED_bitGet(byte) ;
#endif

/* _Ci~bN\̍XVF[U͊{IɗpȂ */
void isr_SEG7_update(void) ;

#endif /*USE_SEG7*/

#endif /*PIC18SEG7_H_*/
