/***********************************************************

	pic-dev-2550url.h

	Version 0.92: 2009/09/21

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICDEV2550URL_H_
#define PICDEV2550URL_H_

// USBu[g[_𗘗pȂꍇɂ̓RgAEgĂ
#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER


/***********************************************************
	LEDɊւ`
***********************************************************/

#define	LED1	RA(4)
#define	LED2	RA(5)

#define	OPT_LED1	LATAbits.LATA4
#define	OPT_LED1_TRIS	TRISAbits.TRISA4
#define	OPT_LED2	LATAbits.LATA5
#define	OPT_LED2_TRIS	TRISAbits.TRISA5


/***********************************************************
	^NgXCb`Ɋւ`
***********************************************************/

#define	SW1	RE(3)
#define	SW2	RB(2)
#define	SW3	RB(4)
#define	SW4	RB(5)
#define	SW5	RB(6)
#define	SW6	RB(7)

#define	OPT_SW_MASK	0b11110100

#define	OPT_SW1	PORTEbits.RE3
#define	OPT_SW2	PORTBbits.RB2
#define	OPT_SW3	PORTBbits.RB4
#define	OPT_SW4	PORTBbits.RB5
#define	OPT_SW5	PORTBbits.RB6
#define	OPT_SW6	PORTBbits.RB7
#define	OPT_SW1_TRIS	TRISEbits.TRISE3
#define	OPT_SW2_TRIS	TRISBbits.TRISB2
#define	OPT_SW3_TRIS	TRISBbits.TRISB4
#define	OPT_SW4_TRIS	TRISBbits.TRISB5
#define	OPT_SW5_TRIS	TRISBbits.TRISB6
#define	OPT_SW6_TRIS	TRISBbits.TRISB7

#define	SW_ACTIVATE	RC(1)

#define	OPT_SW_ACTIVATE	LATCbits.LATC1
#define	OPT_SW_ACTIVATE_TRIS	TRISCbits.TRISC1


/***********************************************************
	\uɊւ`
***********************************************************/

#define	SR_CLK	RB(3)
#define	SR_DAT	RB(2)

#define	OPT_SR_CLK	LATBbits.LATB3
#define	OPT_SR_DAT	LATBbits.LATB2

#define	OPT_SR_CLK_TRIS	TRISBbits.TRISB3
#define	OPT_SR_DAT_TRIS	TRISBbits.TRISB2

#define	NSEG	4

#define	SEG1	RB(4)
#define	SEG2	RB(5)
#define	SEG3	RB(6)
#define	SEG4	RB(7)

#define	OPT_SEG1	LATBbits.LATB4
#define	OPT_SEG2	LATBbits.LATB5
#define	OPT_SEG3	LATBbits.LATB6
#define	OPT_SEG4	LATBbits.LATB7

#define	OPT_SEG1_TRIS	TRISBbits.TRISB4
#define	OPT_SEG2_TRIS	TRISBbits.TRISB5
#define	OPT_SEG3_TRIS	TRISBbits.TRISB6
#define	OPT_SEG4_TRIS	TRISBbits.TRISB7


/***********************************************************
	dTE_[Ɋւ`
***********************************************************/

#define	SOUNDER	RC(2)


#endif /*PICDEV2550URL_H_*/
