/***********************************************************

	pic-dml-2520.h

	Version 0.92: 2009/09/21

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICDML2520_H_
#define PICDML2520_H_

/***********************************************************
	^NgXCb`Ɋւ`
***********************************************************/

#define	SW1			RB(4)
#define	SW2			RB(5)
#define	SW3			RB(6)
#define	SW4			RB(7)
#define	SW5			RB(0)
#define	SW6			RB(1)

#define	OPT_SW1			PORTBbits.RB4
#define	OPT_SW1_TRIS	TRISBbits.TRISB4
#define	OPT_SW2			PORTBbits.RB5
#define	OPT_SW2_TRIS	TRISBbits.TRISB5
#define	OPT_SW3			PORTBbits.RB6
#define	OPT_SW3_TRIS	TRISBbits.TRISB6
#define	OPT_SW4			PORTBbits.RB7
#define	OPT_SW4_TRIS	TRISBbits.TRISB7
#define	OPT_SW5			PORTBbits.RB0
#define	OPT_SW5_TRIS	TRISBbits.TRISB0
#define	OPT_SW6			PORTBbits.RB1
#define	OPT_SW6_TRIS	TRISBbits.TRISB1


/***********************************************************
	LEDɊւ`
***********************************************************/

#define	LED1		RA(4)

#define	OPT_LED1		LATAbits.LATA4
#define	OPT_LED1_TRIS	TRISAbits.TRISA4


/***********************************************************
	hbg}gbNXLEDɊւ`
***********************************************************/

#define	SR_DAT			RC(4)
#define	SR_CLK			RC(3)

#define	SEG1			RC(5)
#define	SEG2			RC(6)
#define	SEG3			RC(7)
#define	SEG4			RB(3)

#define	CMN_E			RB(3)

#define	OPT_SR_DAT			LATCbits.LATC4
#define	OPT_SR_DAT_TRIS	TRISCbits.TRISC4
#define	OPT_SR_CLK			LATCbits.LATC3
#define	OPT_SR_CLK_TRIS	TRISCbits.TRISC3

#define	OPT_CMN_E			LATBbits.LATB3
#define	OPT_CMN_E_TRIS		TRISBbits.TRISB3

#define	DML_COMMON_OFFSET	5
#define	DML_COMMON_PORT	LATC
#define	DML_COMMON_TRIS	TRISC
#define	DML_COMMON_BITS	0b00000111


/***********************************************************
	dTE_Ɋւ`
***********************************************************/

#define SOUNDER		RC(2)

#define OPT_SOUNDER		LATCbits.LATC2
#define	OPT_SOUNDER_TRIS	TRISCbits.TRISC2


/***********************************************************
	ڑRlN^Ɋւ`
***********************************************************/

#define	CN2	RA(3)
#define	CN3	RA(5)
#define	CN4	RC(0)

#define	OPT_CN2	LATAbits.LATA3
#define	OPT_CN3	LATAbits.LATA5
#define	OPT_CN4	LATCbits.LATC0

#endif /*PICDML2520_H_*/
