/***********************************************************

	picsys18-xbee.h

	Version 0.92: 2009/10/08

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICSYS18_XBEE_H_
#define PICSYS18_XBEE_H_

// USBu[g[_𗘗pȂꍇɂ̓RgAEgĂ
#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER


/***********************************************************
	st[̊t
***********************************************************/

/* fW^s */
#define	DX0	RC(7)
#define	DX1	RC(6)
#define	DX2	RA(5)
#define	DX3	RA(6)
#define	DX4	RA(7)
#define	DX5	RA(3)
#define	DX6	RB(3)
#define	DX7	RB(4)
#define	DX8	RB(5)
#define	DX9	RB(6)
#define	DX10	RB(7)
#define	DX11	RC(0)
#define	DX12	RC(1)
#define	DX13	RC(2)

#define	DX14	RA(0)
#define	DX15	RA(1)
#define	DX16	RA(2)
#define	DX17	RB(0)
#define	DX18	RB(1)
#define	DX19	RB(2)

/* AiOs */
#define	AX0	AN(0)
#define	AX1	AN(1)
#define	AX2	AN(2)
#define	AX3	AN(12)
#define	AX4	AN(10)
#define	AX5	AN(8)


/***********************************************************
	LEDɊւ`
***********************************************************/

#define	LED1	RC(2)
#define	LED2	RB(7)

#define	OPT_LED1	LATCbits.LATC2
#define	OPT_LED1_TRIS	TRISCbits.TRISC2
#define	OPT_LED2	LATBbits.LATB7
#define	OPT_LED2_TRIS	TRISBbits.TRISB7


/***********************************************************
	^NgXCb`Ɋւ`
***********************************************************/

#define	SW1	RA(6)
#define	SW2	RA(7)
#define	SW3	RB(3)
#define	SW4	RB(4)
#define	SW5	RB(5)

#define	OPT_SW1	PORTAbits.RA6
#define	OPT_SW2	PORTAbits.RA7
#define	OPT_SW3	PORTBbits.RB3
#define	OPT_SW4	PORTBbits.RB4
#define	OPT_SW5	PORTBbits.RB5

#define	OPT_SW1_TRIS	TRISAbits.TRISA6
#define	OPT_SW2_TRIS	TRISAbits.TRISA7
#define	OPT_SW3_TRIS	TRISBbits.TRISB3
#define	OPT_SW4_TRIS	TRISBbits.TRISB4
#define	OPT_SW5_TRIS	TRISBbits.TRISB5


/***********************************************************
	\uɊւ`
***********************************************************/

#define	SR_CLK	RA(6)
#define	SR_DAT	RA(7)

#define	OPT_SR_CLK	LATAbits.LATA6
#define	OPT_SR_DAT	LATAbits.LATA7

#define	OPT_SR_CLK_TRIS	TRISAbits.TRISA6
#define	OPT_SR_DAT_TRIS	TRISAbits.TRISA7

#define	NSEG	4

#define	SEG1	RA(0)
#define	SEG2	RA(1)
#define	SEG3	RA(2)
#define	SEG4	RB(0)

#define	OPT_SEG1	LATAbits.LATA0
#define	OPT_SEG2	LATAbits.LATA1
#define	OPT_SEG3	LATAbits.LATA2
#define	OPT_SEG4	LATBbits.LATB0

#define	OPT_SEG1_TRIS	TRISAbits.TRISA0
#define	OPT_SEG2_TRIS	TRISAbits.TRISA1
#define	OPT_SEG3_TRIS	TRISAbits.TRISA2
#define	OPT_SEG4_TRIS	TRISBbits.TRISB0


/***********************************************************
	ZT[Ɋւ`
***********************************************************/

#define	PHOTO_SENSOR	AX4
#define	TEMP_SENSOR	AX5
#define	VR_SENSOR	AX5
#define	CN5	DX5

/***********************************************************
	RCT[{Ɋւ`
***********************************************************/

#define	CN3	DX9
#define	CN4	DX10


#endif /*PICSYS18_XBEE_H_*/
