#include "picsys18.h"

int dir = 1 ;
int bit = 0 ;

void
setup()
{
	pinMode(LED8, OUTPUT) ;
	pinMode(LED9, OUTPUT) ;

	pinMode(SW1, INPUT) ;
	pinMode(SW2, INPUT) ;
	pinMode(SW5, INPUT) ;
	pinMode(SW6, INPUT) ;
	
	SEG7_initDefault() ;
}

void loop()
{
	digitalWrite(LED8, digitalRead(SW1)) ;
	digitalWrite(LED9, digitalRead(SW2)) ;

	if (digitalRead(SW5) == LOW)
		dir = 1 ;
	if (digitalRead(SW6) == LOW)
		dir = 0 ;
		
	LED_bitClear(bit) ;

	if (dir) {
		if (++bit > 8)
			bit = 0 ;
	} else {
		if (--bit < 0)
			bit = 7 ;
	}	
		
	LED_bitSet(bit) ;
	
	delayMilliseconds(100) ;
}
