#include "picsys18.h"

void
setup()
{
	CLCD_initDefault() ;

	CLCD_putrs("Hello! MicroFan") ;
	CLCD_setCursor(3, 1) ;
	CLCD_putrs("PICSYS18-XBEE") ;
	
	analogReference(EXTERNAL) ;
	
	delayMilliseconds(3000) ;
}

char buff[20] ;
char buff1[15] ;

char *
ftos(char buff[], float f, int n)
{
	int x, y ;
	int i, p = 1 ;
	
	for (i = 0; i < n; i++)
		p *= 10 ;

	x = (int)f ;
	y = (int)(f * p) - ((int)f) * p ;
	
	sprintf(buff, "%d.%0*d", x, n, y) ;
	
	return buff ;
}

	
void loop()
{
    int v ;
    float temp ; // x̌vZ͎

	CLCD_clear() ;
	
	v = analogRead(PHOTO_SENSOR) ;
	sprintf(buff, "\261\266\331\273 %d", v) ; // AJT
	CLCD_setCursor(0, 0) ;
	CLCD_puts(buff) ;

    v = analogRead(TEMP_SENSOR) ;

    temp = 2.5 / 1024 * v ;  // ǂݎldɊZ
    temp -= 0.4 ;  // xZT[0x̃ItZbg:400mV
    temp /= 0.01953 ; // Px19.53mV̓d

	ftos(buff1, temp, 2) ;
	sprintf(buff, "\265\335\304\336 %s\337C", buff1) ;  // Ih * xC
	CLCD_setCursor(0, 1) ;
    CLCD_puts(buff) ;

	delayMilliseconds(500) ;
}
